package com.izouma.awesomeadmin.dao;

import java.util.*;

import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.ServiceType;


/**
 * Dao接口
 */
@Repository("com.zoumaframe.dao.ServiceTypeMapper")
public interface ServiceTypeMapper {

    int deleteByPrimaryKey(Integer id);

    int insertSelective(ServiceType record);

    ServiceType selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ServiceType record);

    List<ServiceType> queryAllServiceType(ServiceType record);

    List<ServiceType> queryAllServiceTypeForHome(ServiceType record);

    List<ServiceType> queryServiceTypeByPage(Map<String, Object> parameter);

    int delete(String id);

    ServiceType queryServiceType(ServiceType record);

    List<ServiceType> query(ServiceType record);
}

